#
# Conditional build:
%bcond_with	glamor	Glamor acceleration
%bcond_without	sna	SandyBridge's New Acceleration (also for older generations)
%bcond_without	dri3	DRI3 support
#
%define	libdrm_ver	2.4.41
%define	pixman_ver	0.28.0
%if %{with sna}
%define	xserver_ver	1.10
%else
%define	xserver_ver	1.6.3
%endif
Summary:	X.org video driver for Intel integrated graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela
Name:		xorg-driver-video-intel
Version:	2.99.917
Release:	13
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
# Source0-md5:	fa196a66e52c0c624fe5d350af7a5e7b
URL:		http://xorg.freedesktop.org/
Patch0:		xorg-driver-video-intel-git.patch
# Patch0-md5:	0fd5075aeaa258ae81fb9707906394fb
Patch1:		driver-intel-sna-cursor-Make-sure-hw-cursors-are-disabled-before-disabling-secondary-planes.patch
Patch2:		link.patch
BuildRequires:	Mesa-libGL-devel
#BuildRequires:	autoconf >= 2.63
#BuildRequires:	automake >= 1:1.10.2-2
%{?with_glamor:BuildRequires:	glamor-devel >= 0.3.1}
BuildRequires:	libdrm-devel >= %{libdrm_ver}
#BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxcb-devel >= 1.5
BuildRequires:	pixman-devel >= %{pixman_ver}
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xcb-util-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-dri2proto-devel >= 2.6
%{?with_dri3:BuildRequires:	xorg-proto-dri3proto-devel}
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= %{xserver_ver}
%{?requires_xorg_xserver_videodrv}
%{?with_glamor:Requires:	glamor >= 0.3.1}
Requires:	libdrm >= %{libdrm_ver}
Requires:	pixman >= %{pixman_ver}
Requires:	xorg-lib-libpciaccess >= 0.10
Requires:	xorg-xserver-libdri >= %{xserver_ver}
Requires:	xorg-xserver-libglx >= %{xserver_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Provides:	xorg-driver-video
Provides:	xorg-driver-video-i810
Obsoletes:	X11-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-i810
Obsoletes:	xorg-driver-video-i810 < 1.7.2
Conflicts:	vbetool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Intel integrated graphics chipsets. It
supports:
- i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM, 865G, 915G,
  915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM, 945GME, G33, Q33, G35,
  Q35, GM45, G45, Q45, G43, G41 chipsets,
- Pineview-M in Atom N400 series,
- Pineview-D in Atom D400/D500 series.

Requires Kernel Mode Setting (KMS) to be active.

%description -l pl.UTF-8
Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela.
Obsługuje:
- układy i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM,
  865G, 915G, 915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM, 945GME, G33,
  Q33, G35, Q35, GM45, G45, Q45, G43, G41,
- Pineview-M w procesorach Atom z serii N400,
- Pineview-D w procesorach Atom z serii D400/D500.

Wymaga aktywnego Kernel Mode Setting (KMS).

%prep
%setup -q -n xf86-video-intel-%{version}
%{__rm} src/render_program/exa_wm_yuv_rgb.g[67]a
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_glamor:--enable-glamor} \
	--with-default-accel=%{?with_sna:sna}%{!?with_sna:uxa} \
	--enable-uxa \
	--enable-sna%{!?with_sna:=no} \
	%{__enable_disable dri3}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/lib*XvMC.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/intel-virtual-output
%attr(755,root,root) %{_libexecdir}/xf86-video-intel-backlight-helper
%attr(755,root,root) %{_libdir}/libI810XvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libI810XvMC.so.1
%attr(755,root,root) %{_libdir}/libIntelXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIntelXvMC.so.1
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/intel_drv.so
%{_mandir}/man4/intel.4*
%{_mandir}/man4/intel-virtual-output.4*
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%changelog
* Thu Dec 30 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-intel.git;a=log;h=master

* Thu Dec 30 2021 Jan Rękorajski <baggins@pld-linux.org> 5a9840e
- ix86 patch no longer needed, rel 13

* Thu Dec 30 2021 Jan Rękorajski <baggins@pld-linux.org> 1298a9c
- updated git patch

* Wed Nov 03 2021 Jan Rękorajski <baggins@pld-linux.org> dbc6419
- relax inlining on ix86, rel 12

* Wed Nov 03 2021 Jan Rękorajski <baggins@pld-linux.org> bd2edfc
- adjust API for political correctness of xserver 21
- fix linking with gcc 10+
- fix missing libXv linking
- rel 11

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 2cd846f
- rebuil with xorg-xserver-server 21.1.0

* Wed May 23 2018 Jan Rękorajski <baggins@pld-linux.org> d7500cb
- updated git patch
- rel 9

* Tue Nov 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0370205
- rel 8; up to current git (supports xserver 1.19)

* Tue Nov 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8485bc0
- xserver 1.19 rebuild
- release 7 (by relup.sh)

* Sun Oct 23 2016 Jan Rękorajski <baggins@pld-linux.org> 6368d88
- fix mouse cursor disappearing after screen lock
- rel 6

* Sat Feb 20 2016 Jacek Konieczny <jajcus@jajcus.net> b720049
- Build with DRI3 support by default, Release: 5

* Wed Feb 17 2016 Jacek Konieczny <jajcus@jajcus.net> 50dac8d
- DRI3 bcond added

* Mon Dec 28 2015 Jan Rękorajski <baggins@pld-linux.org> 96bae86
- bring in sync with current git to fix crashes with xorg 1.18
- rel 4

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> ecfbb80
- release 3 (by relup.sh)

* Thu Nov 19 2015 Łukasz Maśko <lmasko@pld-linux.org> 60f048f
- Updated to compile with xserver-1.8.0.

* Tue Mar 03 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ed91d63
- Release: 2

* Tue Mar 03 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 2b51d02
- Merge branch 'DEVEL'

* Sun Feb 22 2015 Jan Rękorajski <baggins@pld-linux.org> 0f8fcaf
- removed obsolete patch
- rel 1

* Tue Feb 10 2015 Lukasz Masko <lmasko@pld-linux.org> df4785c
- Up to 2.99.917. This is RC but builds on xserver 1.17.0.

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a88322d
- due to xserver 1.17
- release 6 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d4ba60
- xserver
- release 5 (by relup.sh)

